Diffs for statements, grammatical features and representations of a form (M) (days: 9)
Closed, ResolvedPublic

Description

As an editor patrolling recent changes I want to see meaningful diffs when someone changes a Form on a Lexeme so that I can easily check what is going on and decide if the change is beneficial or not.

Mock of how it should look with important part highlighted:

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 8 2017, 2:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde triaged this task as Normal priority.Dec 11 2017, 10:04 AM

Open questions still:

  • What to do if the diff contains a deleted form?
  • Do we show the current version version or the previous version?
WMDE-leszek renamed this task from diffs for Forms to Diffs for Form.Jan 2 2018, 1:59 PM
Lucas_Werkmeister_WMDE renamed this task from Diffs for Form to Diffs for statements, grammatical features and representations of a form.Jan 2 2018, 2:01 PM
Lucas_Werkmeister_WMDE renamed this task from Diffs for statements, grammatical features and representations of a form to Diffs for statements, grammatical features and representations of a form (M).Jan 2 2018, 2:08 PM
Ladsgroup claimed this task.Jan 4 2018, 5:45 AM
Ladsgroup added a subscriber: Ladsgroup.

I give this a try

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 4 2018, 5:45 AM

Change 401934 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Accept path array to prepend to statement diff

https://gerrit.wikimedia.org/r/401934

Change 401959 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Start supporting diffs for forms

https://gerrit.wikimedia.org/r/401959

Both patches are now ready for review, it supports all types of changes in forms (grammatical features, statements, representations)

WMDE-leszek renamed this task from Diffs for statements, grammatical features and representations of a form (M) to Diffs for statements, grammatical features and representations of a form (M) (days: 6).Jan 11 2018, 9:36 AM

Change 403963 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Move path array prepending logic to ClaimDifferenceVisualizer

https://gerrit.wikimedia.org/r/403963

Change 403969 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Fix mistakes and refactor FormDiffView and related

https://gerrit.wikimedia.org/r/403969

Question to @Lydia_Pintscher: We did not specified in which order changes should show up in diffs. For Items and Properties the order is identical to the order in which the elements appear in all data model specifications. For Forms this is currently not the case. for example, grammatical features are shown after the Forms statements. And statements that belong directly to the Lexeme are shown after Forms and Senses.

This is only relevant when an edit touches multiple sections. The best way to reproduce this issue is two compare two entirely different Lexemes via Special:Diff/…/….

My question is if we should make an expected order part of the acceptance criteria for this ticket, or create a separate ticket for this detail?

Let's put it in a separate ticket. Can you show me in-person so I get the details? Then I can create it. Or you can create it.

WMDE-leszek renamed this task from Diffs for statements, grammatical features and representations of a form (M) (days: 6) to Diffs for statements, grammatical features and representations of a form (M) (days: 7).Jan 13 2018, 11:39 AM
WMDE-leszek renamed this task from Diffs for statements, grammatical features and representations of a form (M) (days: 7) to Diffs for statements, grammatical features and representations of a form (M) (days: 8).Jan 15 2018, 5:23 PM
WMDE-leszek renamed this task from Diffs for statements, grammatical features and representations of a form (M) (days: 8) to Diffs for statements, grammatical features and representations of a form (M) (days: 9).Jan 16 2018, 3:33 PM

Change 401934 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Accept path array to prepend to statement diff

https://gerrit.wikimedia.org/r/401934

Change 401959 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Diff support for forms

https://gerrit.wikimedia.org/r/401959

thiemowmde moved this task from Done to Review on the Wikidata-Sprint-2018-01-17 board.EditedJan 19 2018, 5:17 PM

https://gerrit.wikimedia.org/r/403969 was meant to be part of this, and merged to call this "done". Otherwise I would not have merged https://gerrit.wikimedia.org/r/401959. I even wrote this in a comment when I added my +2 to https://gerrit.wikimedia.org/r/401959.

Change 403969 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix mistakes and refactor FormDiffView and related

https://gerrit.wikimedia.org/r/403969

Change 403963 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move path array prepending logic to ClaimDifferenceVisualizer

https://gerrit.wikimedia.org/r/403963

Lydia_Pintscher closed this task as Resolved.Feb 5 2018, 3:23 PM